Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi.entry
Interface CacheEntryStructure

All Known Implementing Classes:
  StructuredCacheEntry, StructuredCollectionCacheEntry, StructuredMapCacheEntry, UnstructuredCacheEntry

    public interface CacheEntryStructure

Method Summary
`Object` | `destructure(Object map, SessionFactoryImplementor factory)`
`Object` | `structure(Object item)`

Method Detail

### structure

    Object structure(Object item)

### destructure

    Object destructure(Object map,
                       SessionFactoryImplementor factory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.